@CHARSET "UTF-8";
@import url('https://fonts.googleapis.com/css?family=Roboto');

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

html {
	line-height: 1.5;
	font-family: "Roboto", sans-serif;
	font-weight: normal;
	color: rgba(0, 0, 0, 0.87)
}

.cor-padrao,
._md-nav-bar-list,
md-toolbar {
	background-color: #A53041 !important;
}



.md-padding {
	padding: 0 !important;
}

.label__datepicker {
	font-weight: normal !important;

}

/*
.md-button.md-fab{
	width: 36px !important;
	height: 36px !important;
}
*/

.indent {
	text-indent: 20px;
}

.logo-tcesp {
	display: block;
	margin: 0 auto;
	width: 55%;
	max-width: 55%;
	margin-top: 5em;
}

#logo-img {
	width: 150px;
	display: block;
	margin: 15px auto;
}

#user-name {
	font-size: 18px;
	display: block;
	margin-top: 3em;
	line-height: 0.1;
	color: white;
	text-align: center;
}

.logo {
	margin-right: auto;
	margin-left: auto;
	display: block;
}


.logo-nome {
	display: block;
	line-height: 0.1;
	color: #fff;
	text-align: center;
	font-size: 1.4em;
	font-weight: 700;

}

.versao {
	font-size: 9px;
	margin-top: 3em;
	display: block;
	line-height: 0.1;
	color: white;
	text-align: center;
}

;

#user-role {
	font-size: 14px;
	display: block;
	color: white;
	text-align: center;
}


.sidenav-padrao {
	width: 16em !important;
}

.sidenav-alternativa {
	width: 6.5em !important;
}

md-sidenav,
ul {
	line-height: 40px;
}


md-sidenav,
ul,
li {
	list-style-type: none;
	font-size: 12px;
}

md-sidenav li a {
	display: block;
	text-decoration: none;
	color: #fff;
	padding-top: 0.2em;
}

._md-container {
	display: inline-block;
}

ul,
li {
	list-style-type: none;
	font-size: 15px;

}

li a {
	display: block;
	text-decoration: none;
	color: #fff;
}

.material-icons {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 24px;
	line-height: 1;
	letter-spacing: normal;
	text-transform: none;
	display: inline-block;
	white-space: nowrap;
	word-wrap: normal;
	direction: ltr;
	-webkit-font-feature-settings: 'liga';
	-webkit-font-smoothing: antialiased;
}

mdl-sidenav,
i {
	margin-right: 0.4em;
}

.child-menu,
i {
	margin-right: 0.4em;
}

.label--sempre-visivel {
	overflow: visible !important;
}

.left {
	float: left !important;
}

.right {
	float: right !important;
}

.icone-direita {
	margin-left: 2em !important;
}

;

.center-menu {
	padding-left: 1em;
}


.child-menu {
	display: none;
}

.child-menu li a span {
	margin-left: 0.5em;
	font-size: 13px;
}

.font-bold {
	font-weight: 900;
}

#sidebar-wrapper i.material-icons.right {
	margin-top: 12px;
	margin-right: 8px;
	font-size: 14px;
}


.head-title {
	z-index: -10;
	width: 100%;
	min-width: 100%;
	top: 0px;
	padding-bottom: 0.2em;
	padding-top: 0.2em;
	margin-top: 1.2em;
}

.title {
	font-family: 'Segoe UI';
	font-size: 24px;
	font-weight: bold;
	color: #4F5457;
	display: inline;
	padding-left: 45px;
}

.sub-titulo {
	font-family: 'Lato', sans-serif;
	font-size: 26x;
	font-weight: bold;
	color: #881016;
}

.titulo-tabela {
	font-family: 'Segoe UI';
	font-size: 1.5em;
	font-weight: bold;
	color: #4F5457;
}

._md-nav-button {
	color: #fff !important;
	padding: 10px 16px !important;
}

fieldset {
	border: none !important;
}

.active {
	color: #f1c40f;
	font-weight: bold
}

.statevis {
	position: fixed;
	right: 2em;
	top: 2em;
	z-index: -1;
}

.formulario {
	margin-top: 0.5em;
}


@media(min-width: 1280px) {
	.default-nav-bar {
		width: 100%;
		-webkit-transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
		transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
	}
}

.alternate-nav-bar {
	width: 100%;
	-webkit-transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
	transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
}
}

}



@media (min-width: 600px) {
	md-backdrop.md-sidenav-backdrop {
		display: none;
	}
}


input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

input[type=number] {
	-moz-appearance: textfield;
}

.error-box {
	padding-top: 1em;
}

/* HOVER ICONES DA TABELA DE CONSULTA */
.ic-ok:hover,
.ic-ok:focus,
.ic-ok:active {
	color: #B7DEB9;
}

.ic-edit:hover,
.ic-edit:focus,
.ic-edit:active {
	color: #75D0F9;
}

.ic-cancel:hover,
.ic-cancel:focus,
.ic-cancel:active {
	color: #c0392b;

}

.ic-vis:hover,
.ic-vis:focus,
.ic-vis:active {
	color: #D9A44E;
}

.ic-pdf:hover,
.ic-pdf:focus,
.ic-pdf:active {
	color: #9E9E9E;
	cursor: pointer;
}

/*
tbody tr:nth-child(even) {
   background-color: #ccc;
}
*/

.md-datepicker-input-container {
	position: initial !important;
}
.md-datepicker-triangle-button {
	top:5px;
}

md-virtual-repeat-container {
	height: 100vh;
}

.ngMessage {
	color: #D32F2F;
	font-size: 0.8em;
}

md-chips.md-default-theme .md-chips,
md-chips .md-chips {
	box-shadow: none !important;
}

.modal-recurso {
	width: 80%;
}

@media (min-width: 1440px) {
	.modal-recurso {
		width: 65%;
	}
}

.uppercase {
	text-transform: uppercase;
}


pre {
	font-family: inherit !important;
}

.card-menu {
	cursor: pointer;
}

.card-menu {
	font-size: 1.1em;
}

.card-menu :hover {
	color: #ffffff;
	background-color: #f5b043;
	cursor: pointer;
	-webkit-transition: background-color 0.5s ease;
	-ms-transition: background-color 0.5s ease;
	transition: background-color 0.5s ease;
}

.icone-card {
	font-size: 2rem;
}



.progress {
	display: flex;
	overflow: hidden;
	font-size: 0.75rem;
	line-height: 1rem;
	text-align: center;
	background-color: #eceff1;
}

.progress-bar {
	height: 1rem;
	color: #fff;
	background-color: #446CB3;
}

.progress-bar-striped {
	background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
	background-size: 1rem 1rem;
}

.progress-bar-animated {
	animation: progress-bar-stripes 1s linear infinite;
}

.progress-xs {
	height: 4px;
}

.progress-sm {
	height: 8px;
}

.progress-white {
	background-color: rgba(255, 255, 255, 0.2) !important;
}

.progress-white .progress-bar {
	background-color: #fff;
}

.text-lowercase {
	text-transform: lowercase !important;
}

.text-uppercase {
	text-transform: uppercase !important;
}

.text-capitalize {
	text-transform: capitalize !important;
}


.text-small-card {
	font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
}

md-autocomplete>md-autocomplete-wrap>md-progress-linear {
	display: none;
}

.cor-progress path {
	stroke: #A53041;
}

.texto-centro {
	text-align: center;
}

.fundo-branco {
	background-color: #ffffff !important;
}

.mdi-file-pdf {
	color: #D91E18 !important;
}

.mdi-file-excel-box {
	color: #388E3C !important;
}

.loadingBar {
	position: fixed;
	padding: 0;
	margin: 0;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, 0.8);
	z-index: 10001;
	cursor: wait;
	display: flex;
	align-items: center;
	justify-content: center;
}

.lds-ring {
	display: inline-block;
	position: relative;
	width: 64px;
	height: 64px;
}

.lds-ring div {
	box-sizing: border-box;
	display: block;
	position: absolute;
	width: 51px;
	height: 51px;
	margin: 6px;
	border: 6px solid #A53041;
	border-radius: 50%;
	animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
	border-color: #A53041 transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
	animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
	animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
	animation-delay: -0.15s;
}

@keyframes lds-ring {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

.cbCenter {
	position: relative;
	top: 42%;
	left: 50%;
}
/* 
.custom-popup-wrapper {
	position: absolute;
	top: 100%;
	left: 0;
	z-index: 1000;
	display: none;
	background-color: #f9f9f9;
	max-height: 275px;
	overflow-y: auto;
  }
 */


/*   .custom-popup-wrapper > .dropdown-menu {
	position: static;
	float: none;
	display: block;
	min-width: 160px;
	background-color: transparent;
	border: none;
	border-radius: 0;
	box-shadow: none;
  } */


  .custom-popup-wrapper > .dropdown-menu {
	float: none;
	display: block;
	min-width: 160px;
	position:absolute;
	top: 100%;
	left: 0;
	z-index: 9999;
	background-color: #f9f9f9;
	max-height: 275px;
	overflow-y: auto;
  }
